<?php
require '../../../zb_system/function/c_system_base.php';
require '../../../zb_system/function/c_system_admin.php';

$zbp->Load();
$action = 'root';
if (!$zbp->CheckRights($action)) {
    $zbp->ShowError(6);
    die();
}
if (!$zbp->CheckPlugin('SkycaijiZb')) {
    $zbp->ShowError(48);
    die();
}

require $blogpath . 'zb_system/admin/admin_header.php';
require $blogpath . 'zb_system/admin/admin_top.php';

require_once 'skycaiji2cms/skycaiji2cms.php';
$scj2cms=new skycaiji2cms(
    $blogpath.'zb_users/plugin/SkycaijiZb',
    $zbp->host.'zb_users/plugin/SkycaijiZb',
    'utf-8',
    true
);
$scj2cms->formUrl=$scj2cms->pluginUrl.'main.php';
$scj2cms->apiUrl=$scj2cms->pluginUrl.'post.php';

//报错函数
function funcShowError($msg){
    global $zbp;
    $zbp->ShowError($msg);
    die();
}
$scj2cms->funcError='funcShowError';

if($scj2cms->formIsPost()){
    function funcFormPost($data){
        global $zbp;
        if(function_exists('CheckIsRefererValid')){
            CheckIsRefererValid();
        }
        
        $zbp->Config('SkycaijiZb')->apikey=$data['apikey'];
        $zbp->Config('SkycaijiZb')->author=$data['author'];
        $zbp->Config('SkycaijiZb')->apitype=$data['apitype'];
        
        $zbp->SaveConfig('SkycaijiZb');
        $zbp->SetHint('good');
        Redirect('main.php');
    }
    $scj2cms->funcFormPost='funcFormPost';
    $scj2cms->formPost();
}else{
    $scj2cms->formHeadHtml='<input type="hidden" name="csrfToken" value="'.$zbp->GetCSRFToken().'">';
    $pluginConfig=$zbp->Config('SkycaijiZb');
    $scj2cms->pluginConfig=array(
        'apikey'=>$pluginConfig->apikey,
        'author'=>$pluginConfig->author,
        'apitype'=>$pluginConfig->apitype
    );
    $scj2cms->formRequired=array(
        'Title'=>'标题',
        'Content'=>'正文'
    );
    $scj2cms->formOptional=array(
        'Alias'=>'别名（默认空）',
        'PostTime'=>'日期（默认当前时间）',
        'Intro'=>'摘要（默认空）',
        'CateID'=>'分类（默认空，填入分类名称或id）',
        'Tag'=>'标签（默认空，多个用,号分隔）',
        'Template'=>'模板（默认空）',
        'Status'=>'状态（默认0，可填入 0 公开、1 草稿、2 审核）',
        'IsTop'=>'置顶（默认0，可填入 0 无、1 全局、2 首页、4 分类）',
        'IsLock'=>'禁止评论（默认0，可填入 1 是、0 否）',
    );
    
    echo '<div id="divMain" style="margin:0 5px;"><div class="divHeader">文章远程发布接口</div>';
    $scj2cms->formView();
    echo '</div>';
}

require $blogpath . 'zb_system/admin/admin_footer.php';
RunTime();
?>
