<?php
require '../../../zb_system/function/c_system_base.php';
require '../../../zb_system/function/c_system_admin.php';
require 'skycaiji2cms/skycaiji2cms.php';
$scj2cms=new skycaiji2cms(
    $blogpath.'zb_users/plugin/SkycaijiZb',
    $zbp->host.'zb_users/plugin/SkycaijiZb'
);

$zbp->Load();
if (!$zbp->CheckPlugin('SkycaijiZb')) {
    $scj2cms->returnJson(0,'接口未启用');
}

$pluginConfig=$zbp->Config('SkycaijiZb');
$scj2cms->pluginConfig=array(
    'apikey'=>$pluginConfig->apikey,
    'author'=>$pluginConfig->author,
    'apitype'=>$pluginConfig->apitype
);

//发布函数
function funcApiPost(){
    global $zbp,$scj2cms;
    
    $author=$scj2cms->pluginConfig['author'];
    $authors=array();
    if($author&&preg_match_all('/[^\r\n]+/',$author,$authors)){
        $authors=$authors[0];
        $authors=array_filter($authors);
        $authors=array_values($authors);
    }else{
        $authors=array();
    }
    $author=array_rand($authors,1);
    $author=$authors[$author];
    
    if(is_numeric($author)){
        $member=$zbp->GetMemberByID($author);
    }else{
        $member=$zbp->GetMemberByName($author);
    }
    if(empty($member)||$member->ID<=0){
        $scj2cms->returnJson(0,'作者不存在');
    }
    $zbp->user = $member;
    $zbp->islogin = true;
    
    if(empty($_POST['Title'])){
        $scj2cms->returnJson(0,'标题为空');
    }
    if(empty($_POST['Content'])){
        $scj2cms->returnJson(0,'文章内容为空');
    }
    
    //默认参数
    $defParams=array('Status'=>0,'IsTop'=>0,'IsLock'=>0,'PostTime'=>date('Y-m-d H:i:s'));
    foreach ($defParams as $k=>$v){
        if(!isset($_POST[$k])){
            $_POST[$k]=$v;
        }
    }
    
    if(!empty($_POST['CateID'])){
        $cate=is_numeric($_POST['CateID'])?$zbp->GetCategoryByID($_POST['CateID']):$zbp->GetCategoryByName($_POST['CateID']);
        if(!empty($cate)){
            $_POST['CateID']=$cate->ID;
        }else{
            $_POST['CateID']='';
        }
    }
    
    $_POST['ID']=0;
    
    try{
        $article=PostArticle();
    }catch (\Exception $ex){
        returnJson(0,$ex->getMessage());
    }
    if(empty($article)||$article->ID<=0){
        $scj2cms->returnJson(0,'失败');
    }else{
        $scj2cms->returnJson($article->ID,'',$zbp->host.'?id='.$article->ID);
    }
}
$scj2cms->funcApiPost='funcApiPost';
$scj2cms->apiPost();
